Package com.usatiuk.dhfs.peersync

# Class PeerInfoSyncHandler

java.lang.Object
com.usatiuk.dhfs.peersync.PeerInfoSyncHandler

All Implemented Interfaces:
  `ObjSyncHandler<PeerInfo,PeerInfo>`

@ApplicationScoped public class PeerInfoSyncHandler extends Object implements ObjSyncHandler<PeerInfo,PeerInfo>

## Constructor Summary

Constructors
Constructor
Description
`PeerInfoSyncHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, PeerInfo receivedData)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PeerInfoSyncHandler

public PeerInfoSyncHandler()

## Method Details

### handleRemoteUpdate

public void handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, @Nullable PeerInfo receivedData)

Specified by:
  `handleRemoteUpdate` in interface `ObjSyncHandler<PeerInfo,PeerInfo>`